org.keycloak.authorization.model

## Interface ResourceServer

- All Known Implementing Classes:
    CachedResourceServer, ResourceServerAdapter, ResourceServerEntity

      public interface ResourceServer

  Represents a resource server, whose resources are managed and protected. A resource server is basically an existing client application in Keycloak that will also act as a resource server.
  Author:
    Pedro Igor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()` Returns the identifier of the client application (which already exists in Keycloak) that is also acting as a resource server.
    `String` | `getId()` Returns the unique identifier for this instance.
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()` Returns the `PolicyEnforcementMode` configured for this instance.
    `boolean` | `isAllowRemoteResourceManagement()` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)` Defines a `PolicyEnforcementMode` for this instance.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### getClientId

          String getClientId()

      Returns the identifier of the client application (which already exists in Keycloak) that is also acting as a resource server.
      Returns:
        the identifier of the client application associated with this instance.

    - #### isAllowRemoteResourceManagement

          boolean isAllowRemoteResourceManagement()

      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API. `true` if the resource server is allowed to managed them remotely

    - #### setAllowRemoteResourceManagement

          void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
      Parameters:
        `allowRemoteResourceManagement` - `true` if the resource server is allowed to managed them remotely

    - #### getPolicyEnforcementMode

          PolicyEnforcementMode getPolicyEnforcementMode()

      Returns the `PolicyEnforcementMode` configured for this instance.
      Returns:
        the `PolicyEnforcementMode` configured for this instance.

    - #### setPolicyEnforcementMode

          void setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)

      Defines a `PolicyEnforcementMode` for this instance.
      Parameters:
        `enforcementMode` - one of the available options in `PolicyEnforcementMode`

Copyright © 2016 JBoss by Red Hat. All rights reserved.